com.buschmais.jqassistant.plugin.xml.api.model

## Interface XmlElementDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, OfNamespaceDescriptor, SiblingDescriptor, XmlDescriptor

      @Label(value="Element")
      public interface XmlElementDescriptor
      extends XmlDescriptor, OfNamespaceDescriptor, SiblingDescriptor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `XmlElementDescriptor.HasElement`

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.SiblingDescriptor

      `SiblingDescriptor.HasSibling`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<XmlAttributeDescriptor>` | `getAttributes()`
    `List<XmlTextDescriptor>` | `getCharacters()`
    `List<XmlNamespaceDescriptor>` | `getDeclaredNamespaces()`
    `List<XmlElementDescriptor>` | `getElements()`
    `XmlDescriptor` | `getFirstChild()`
    `XmlDescriptor` | `getLastChild()`
    `XmlElementDescriptor` | `getParent()`
    `void` | `setFirstChild(XmlDescriptor firstChild)`
    `void` | `setLastChild(XmlDescriptor lastChild)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.OfNamespaceDescriptor

      `getNamespaceDeclaration, setNamespaceDeclaration`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.SiblingDescriptor

      `getNextSibling, getPreviousSibling, setNextSibling, setPreviousSibling`

- - ### Method Detail

    - #### getElements

          List<XmlElementDescriptor> getElements()

    - #### getParent

          XmlElementDescriptor getParent()

    - #### getAttributes

          @Relation(value="HAS_ATTRIBUTE")
          List<XmlAttributeDescriptor> getAttributes()

    - #### getCharacters

          @Relation(value="HAS_TEXT")
          List<XmlTextDescriptor> getCharacters()

    - #### getDeclaredNamespaces

          @Relation(value="DECLARES_NAMESPACE")
          List<XmlNamespaceDescriptor> getDeclaredNamespaces()

    - #### getFirstChild

          @Relation(value="HAS_FIRST_CHILD")
          XmlDescriptor getFirstChild()

    - #### setFirstChild

          void setFirstChild(XmlDescriptor firstChild)

    - #### getLastChild

          @Relation(value="HAS_LAST_CHILD")
          XmlDescriptor getLastChild()

    - #### setLastChild

          void setLastChild(XmlDescriptor lastChild)

Copyright © 2015 buschmais GbR. All rights reserved.